### robocode.robotinterfaces

# Interface IBasicEvents2

All Superinterfaces:
  IBasicEvents

Known Implementing Classes:
  AdvancedRobot, Robot, TeamRobot

`public interface IBasicEvents2`
`extends IBasicEvents`

First extended version of the `IBasicEvents` interface.

Author:
  Pavel Savara (original)

Since:
  1.6.1

  ## Method Summary

  `void`

  `onBattleEnded(BattleEndedEvent event)`
    This method is called after end of the battle, even when the battle is aborted.

  ### Methods inherited from interface robocode.robotinterfaces.IBasicEvents

  `onBulletHit`, `onBulletHitBullet`, `onBulletMissed`, `onDeath`, `onHitByBullet`, `onHitRobot`, `onHitWall`, `onRobotDeath`, `onScannedRobot`, `onStatus`, `onWin`

## Method Details

### onBattleEnded

    public void onBattleEnded(BattleEndedEvent event)

> This method is called after end of the battle, even when the battle is aborted. You should override it in your robot if you want to be informed of this event.

> Example:

>        public void onBattleEnded(BattleEndedEvent event) {
>            out.println("The battle has ended");
>        }

> Parameters:
>   `event` - the battle-ended event set by the game
> See Also:
>   `BattleEndedEvent`, `WinEvent`, `DeathEvent`, `Event`